SULOGIN(8)

NUME
sulogin - autentificare pentru un singur utilizator

REZUMAT

sulogin [opțiuni] [tty]

DESCRIERE

sulogin este invocat de init atunci când sistemul trece în modul mono-utilizator.

Utilizatorului i se solicită:

Să introducă parola de root pentru întreținerea sistemului (sau să tasteze Control-D pentru o pornire normală):

În cazul în care contul root este blocat și se specifică --force, nu este necesară nicio parolă.

sulogin va fi conectat la terminalul curent sau la dispozitivul opțional tty care poate fi specificat în linia de comandă (de obicei /dev/console).

Când utilizatorul iese din shell-ul pentru un singur utilizator sau apasă control-D la prompt, sistemul va continua să pornească.

OPȚIUNI

-e, --force
    Dacă metoda implicită de obținere a parolei de root din sistem prin getpwnam(3) eșuează, examinați /etc/passwd și /etc/shadow pentru a obține parola. Dacă aceste fișiere sunt deteriorate sau inexistente, sau când contul de root este blocat de „!” sau „*” la începutul parolei, atunci sulogin va porni un shell de root fără a cere o parolă.

    Utilizați opțiunea -e numai dacă sunteți sigur că această consolă este protejată fizic împotriva accesului neautorizat.

-p, --login-shell
    Specificarea acestei opțiuni face ca sulogin să pornească procesul shell ca un shell de autentificare.

-t, --timeout secunde
    Specifică durata maximă de așteptare pentru introducerea datelor de către utilizator. În mod implicit, sulogin va aștepta la nesfârșit.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

MEDIU

sulogin caută variabila de mediu SUSHELL sau sushell pentru a determina ce shell să pornească. Dacă variabila de mediu nu este definită, va încerca să execute shell-ul root din /etc/passwd. Dacă nu reușește, va reveni la /bin/sh.

AUTORI

sulogin a fost scris de Miquel van Smoorenburg pentru sysvinit și ulterior a fost implementat în util-linux de Dave Reisner și Karel Zak.

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda sulogin face parte din pachetul util-linux care poate fi descărcat de la